Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehboxV2.service
Interface ConsultationService

All Known Implementing Classes:
  ConsultationServiceImpl

    public interface ConsultationService

The Interface ConsultationService. Default impl : `ConsultationServiceImpl` Factory : `ServiceFactory`

Method Summary
`DeleteMessageResponse` | `deleteMessage(SAMLToken token, DeleteMessageRequest request)`
`GetBoxInfoResponse` | `getBoxInfo(SAMLToken token, GetBoxInfoRequest getBoxInfoRequest)` Gets the box info.
`GetFullMessageResponse` | `getFullMessage(SAMLToken token, MessageRequestType messageRequestType)` Gets the full message.
`GetMessageAcknowledgmentsStatusResponse` | `getMessageAcknowledgmentsStatusResponse(SAMLToken token, GetMessageAcknowledgmentsStatusRequest messageAcknowledgmentsStatusRequest)` Get the acknowlegement status.
`GetHistoryResponse` | `getMessageHistory(SAMLToken token, MessageRequestType messageRequestType)` Gets the message history.
`GetMessageListResponseType` | `getMessageList(SAMLToken token, GetMessagesListRequest messagesListRequest)` Gets the message list.
`ResponseType` | `moveMessage(SAMLToken token, MoveMessageRequest messageRequestType)` Move to in box.

Method Detail

### getBoxInfo

    GetBoxInfoResponse getBoxInfo(SAMLToken token,
                                  GetBoxInfoRequest getBoxInfoRequest)
                                  throws TechnicalConnectorException,
                                         EhboxBusinessConnectorException,
                                         SessionManagementException

  Gets the box info.

  Parameters:
    `token` - the token
    `getBoxInfoRequest` -
  Returns:
    the box info
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### getFullMessage

    GetFullMessageResponse getFullMessage(SAMLToken token,
                                          MessageRequestType messageRequestType)
                                          throws TechnicalConnectorException,
                                                 EhboxBusinessConnectorException,
                                                 SessionManagementException

  Gets the full message.

  Parameters:
    `token` - the token
    `messageRequestType` - the message request type
  Returns:
    the full message
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### getMessageHistory

    GetHistoryResponse getMessageHistory(SAMLToken token,
                                         MessageRequestType messageRequestType)
                                         throws TechnicalConnectorException,
                                                EhboxBusinessConnectorException,
                                                SessionManagementException

  Gets the message history.

  Parameters:
    `token` - the token
    `messageRequestType` - the message request type
  Returns:
    the message history
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### getMessageList

    GetMessageListResponseType getMessageList(SAMLToken token,
                                              GetMessagesListRequest messagesListRequest)
                                              throws TechnicalConnectorException,
                                                     EhboxBusinessConnectorException,
                                                     SessionManagementException

  Gets the message list.

  Parameters:
    `token` - the token
    `messagesListRequest` - the messages list request
  Returns:
    the message list
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### moveMessage

    ResponseType moveMessage(SAMLToken token,
                             MoveMessageRequest messageRequestType)
                             throws TechnicalConnectorException,
                                    EhboxBusinessConnectorException,
                                    SessionManagementException

  Move to in box.

  Parameters:
    `token` - the token
    `messageRequestType` - the message request type
  Returns:
    the response type
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### getMessageAcknowledgmentsStatusResponse

    GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatusResponse(SAMLToken token,
                                                                                    GetMessageAcknowledgmentsStatusRequest messageAcknowledgmentsStatusRequest)
                                                                                    throws TechnicalConnectorException,
                                                                                           EhboxBusinessConnectorException,
                                                                                           SessionManagementException

  Get the acknowlegement status.

  Parameters:
    `token` - the token
    `messageAcknowledgmentsStatusRequest` - the acknowlegment status type
  Returns:
    the acknowledgment status.
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### deleteMessage

    DeleteMessageResponse deleteMessage(SAMLToken token,
                                        DeleteMessageRequest request)
                                        throws SessionManagementException,
                                               TechnicalConnectorException,
                                               EhboxBusinessConnectorException

  Throws:
    `SessionManagementException`
    `TechnicalConnectorException`
    `EhboxBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.